<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="TextButton"
	description="При нажатии пользователем, посылает всем true, при отжатии false"
	fileName="NPCTextButton.jar" className="org.mati.npc.faces.textbutton.NPCTextButton"
	version="9345" time="17.02.2009 16:31:02">

	<Group>Визуальные компоненты</Group>

	<!--INLINKS BEGIN-->
	<INLink name="In"
		description="Входящая связь со всех возможных сенсоров или эффекторов, допускает управление кнопкой от другого компонента. Управляющий сигнал передается по всем исходящим связям, если он не дублирует текущее состояние"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InE"
		description="Входящая связь допускает управление кнопкой от другого компонента, либо получение текущего состояния. Управляющий сигнал передается по всем исходящим связям, если он не дублирует текущее состояние"
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InS" description="Входящая связь для получения текущего состояния"
		interfaceName="org.mati.npc.components.interfaces.Sensor" linksNumber="0"
		nullable="true">
	</INLink>
	<INLink name="InFaceComponent" description="Связь с компонентом контейнером"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="InGetButton" description="Связь с компонентом группа кнопок."
		interfaceName="org.mati.npc.components.interfaces.NPCFaceButton"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InComponent" description="Связь с алгоритмом."
		interfaceName="org.mati.npc.core.components.NPCComponent" linksNumber="0"
		nullable="true">
	</INLink>
	<INLink name="InUniversal"
		description="Входящая связь допускает управление кнопкой от другого компонента, либо получение текущего состояния. Управляющий сигнал передается по всем исходящим связям, если он не дублирует текущее состояние."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InVisibility"
		description="Входящая связь допускает изменение видимости компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InEnable"
		description="Входящая связь допускает enable/disable компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="Out" description="Исходящая связь для управления сенсорами"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutE" description="Исходящая связь для управления эффекторами"
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutUniversal"
		description="Исходящая связь для передачи универсального типа"
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="0" nullable="true">
	</OUTLink>

	<!--OUTLINKS END-->

	<!--PROPERTIES BEGIN-->
	<Attribute name="Pushed" description="Зажата ли кнопка" type="java.lang.Boolean"
		nullable="false" defaultValue="false">
	</Attribute>
	<Attribute name="TextOff"
		description="Содержимое текста кнопки при отжатом состоянии" type="java.lang.String"
		defaultValue="Не нажата"
		nullable="true">
	</Attribute>
	<Attribute name="TextOn"
		description="Содержимое текста кнопки при нажатом состоянии" type="java.lang.String"
		defaultValue="Нажата"
		nullable="true">
	</Attribute>
	<Attribute name="TextColorOff" description="Цвет текста при отжатом состоянии (RGB)"
		defaultValue="0"
		type="java.awt.Color" nullable="true">
	</Attribute>
	<Attribute name="TextColorOn" description="Цвет текста при нажатом состоянии (RGB)"
		defaultValue="0"
		type="java.awt.Color" nullable="true">
	</Attribute>
	<Attribute name="BackgroundColorOff" description="Цвет фона при отжатом состоянии (RGB)"
		defaultValue="16777215"
		type="java.awt.Color" nullable="false">
	</Attribute>
	<Attribute name="BackgroundColorOn" description="Цвет фона при нажатом состоянии (RGB)"
		defaultValue="8966117"
		type="java.awt.Color" nullable="false">
	</Attribute>
	<Attribute name="AlignMessage" description="Выравнивание текста сообщения"
		nullable="true" type="java.util.List" defaultValue="по правому краю">
		<List value="по центру" />
		<List value="по левому краю" />
		<List value="по правому краю" />
		<List value="по ширине" />
	</Attribute>
	<Attribute name="FontName" description="Имя шрифта." type="java.util.List"
		nullable="false" defaultValue="Arial">
		<List value="Arial" />
		<List value="Arial Black" />
		<List value="Arial Narrow" />
		<List value="Arial Unicode MS" />
		<List value="Batang" />
		<List value="Bitstream Vera Sans" />
		<List value="Bitstream Vera Sans Mono" />
		<List value="Bitstream Vera Serif" />
		<List value="Book Antiqua, Bookman Old Style" />
		<List value="Century" />
		<List value="Century Gothic" />
		<List value="Comic Sans MS" />
		<List value="Courier New, Dialog" />
		<List value="DialogInput" />
		<List value="Estrangelo Edessa" />
		<List value="Franklin Gothic Medium" />
		<List value="Garamond," />
		<List value="Gautami" />
		<List value="Georgia" />
		<List value="Haettenschweiler" />
		<List value="Impact" />
		<List value="Kartika" />
		<List value="Latha" />
		<List value="Lucida Console" />
		<List value="Lucida Sans" />
		<List value="Lucida Sans Unicode" />
		<List value="Mangal" />
		<List value="Marlett" />
		<List value="Microsoft Sans Serif" />
		<List value="Monospaced" />
		<List value="Monotype Corsiva" />
		<List value="MS Mincho" />
		<List value="MS Outlook" />
		<List value="MT Extra" />
		<List value="MV Boli" />
		<List value="OpenSymbol" />
		<List value="Palatino Linotype" />
		<List value="Raavi" />
		<List value="SansSerif" />
		<List value="Serif" />
		<List value="Shruti" />
		<List value="SimSun" />
		<List value="Sylfaen" />
		<List value="Symbol" />
		<List value="Tahoma" />
		<List value="Times New Roman" />
		<List value="Trebuchet MS" />
		<List value="Tunga" />
		<List value="Verdana" />
		<List value="Vrinda" />
		<List value="Webdings" />
		<List value="Wingdings" />
		<List value="Wingdings 3" />
	</Attribute>
	<Attribute name="FontStyle" description="Стиль шрифта сообщения"
		type="java.util.List" nullable="false" defaultValue="обычный">
		<List value="обычный" />
		<List value="жирный" />
		<List value="курсивный" />
		<List value="жирный и курсивный" />
	</Attribute>
	<Attribute name="FontSize" description="Размер шрифта" type="java.lang.Integer"
		defaultValue="22"
		nullable="false">
	</Attribute>
	<Attribute name="PositionX"
		description="Координата левого верхнего угла по оси X (относительная)"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY"
		description="Координата левого верхнего угла по оси Y (относительная)"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина" type="java.lang.Integer"
		defaultValue="200"
		nullable="false">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота" type="java.lang.Integer"
		defaultValue="200"
		nullable="false">
	</Attribute>

	<Attribute name="PaintBorder" description="Отображать рамку"
		defaultValue="true"
		type="java.lang.Boolean" nullable="false">
	</Attribute>

	<Attribute name="PaintFocus" description="Отображать фокус"
		defaultValue="false"
		type="java.lang.Boolean" nullable="false">
	</Attribute>

	<Attribute name="Icon"
		description="Путь к картинке в нормальном состоянии (GIF, JPEG, PNG)."
		type="java.io.File" nullable="true">
	</Attribute>
	<Attribute name="PressedIcon"
		description="Путь к картинке для нажатого состояния (GIF, JPEG, PNG)."
		type="java.io.File" nullable="true">
	</Attribute>
	<Attribute name="SelectedIcon"
		description="Путь к картинке для нажатого состояния (GIF, JPEG, PNG)."
		type="java.io.File" nullable="true">
	</Attribute>
	<Attribute name="RolloverIcon"
		description="Путь к картинке для подсвеченного состояния (GIF, JPEG, PNG)."
		type="java.io.File" nullable="true">
	</Attribute>
	<Attribute name="RolloverSelectedIcon"
		description="Путь к картинке для подсвеченного нажатого состояния (GIF, JPEG, PNG)."
		type="java.io.File" nullable="true">
	</Attribute>

	<!--PROPERTIES END-->

</ClassComponent>